GetbeelDocs
API referenceCompanies

The account and its client companies

The account the key belongs to, then the client companies the key can act on (its member must manage them). The Getbeel-Company header does not apply to /companies.

GET
/companies

The account the key belongs to, then the client companies the key can act on (its member must manage them). The Getbeel-Company header does not apply to /companies.

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/companies'
Example Response
{  "object": "list",  "data": [    {      "object": "company",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "slug": "string",      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",      "company": {        "name": "string",        "vat_number": "string",        "codice_fiscale": "string",        "regime_fiscale": "RF01",        "country": "string",        "address": "string",        "street_number": "string",        "postal_code": "string",        "city": "string",        "province": "string",        "preferred_currency": "string",        "sdi_configured": true      },      "sdi_readiness": {        "ready": true,        "missing": [          "name"        ]      }    }  ],  "has_more": true,  "next_cursor": "string"}